人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

PHP5.2について質問です

あまり詳しく把握していないのですが、最近借りたレンタルサーバーはセキュリティの関係上 inquire,requireを使ってhttp://www.hoge.com/aaa.php などURLを指定してファイルを呼び出す事が出来なくなっているようです。

指定しているファイルはローカルファイルなのですが、aaa.php?ID=3 のように引数を付けて呼び出すにはこの方法しか無いと思って今までそうしておりました。

もしphp.iniを弄れずにallow_url_includeがoffのままだとすれば、他にどのような選択肢があるでしょうか?

●質問者: tokyosmash
●カテゴリ:ウェブ制作
✍キーワード:AAA PHP require URL セキュリティ
○ 状態 :終了
└ 回答数 : 1/1件

▽最新の回答へ

1 ● Yota
●60ポイント

aaa.phpの中で$id=$_GET['ID']という変数を使っているとすると、これをやめて、

$id = 3 ;//呼び出す前に変数に代入しておく

require('aaa.php') ; //呼び出す側のファイルと同じディレクトリに置いておく

とすればいいのではないでしょうか。

◎質問者からの返答

ありがとうございました、これで解決しました。

地味なやり方ですが確実ですよね。


どうもありがとうございました!

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ